import { NgZone, OnDestroy } from '@angular/core';
import { ScannerInput } from '../../interfaces/scanner-input.interface';
export declare class ScannerService implements OnDestroy {
    private _ngZone;
    private _activeInput;
    private barCodeScanner;
    constructor(_ngZone: NgZone);
    ngOnDestroy(): void;
    registerInput(input: ScannerInput): void;
    private _barCodeScanned;
}
